nl.tudelft.simulation.dsol.tutorial.appendix

## Class Port

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.appendix.Port

    public class Port
    extends Object

A Port

copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Jan 19, 2004
Author:
  Peter Jacobs

### Constructor Summary

Constructors
Constructor and Description
`Port(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)` constructs a new Port.

### Method Summary

All Methods Instance Methods Concrete Methods
`nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>` `getJetties()`
`nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>` `getTugs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Port

    public Port(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator)

constructs a new Port.

Parameters:
  `simulator` - the simulator

### Method Detail

#### getJetties

    public nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> getJetties()

Returns:
  Returns the jetties.

#### getTugs

    public nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> getTugs()

Returns:
  Returns the tugs.